<?php
$valid = true;
$clientesDao = new \Dao\Clientes();
$clientesDao->getClientePorId($conecta, $conecta->real_escape_string(filter_input(INPUT_POST, 'id')));
$clientesDao->tipo = $conecta->real_escape_string(filter_input(INPUT_POST, 'tipo'));
$clientesDao->cpf = $conecta->real_escape_string(filter_input(INPUT_POST, 'cpf_cnpj'));
$clientesDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$clientesDao->situacao = $conecta->real_escape_string(filter_input(INPUT_POST, 'situacao'));
$clientesDao->rg = $conecta->real_escape_string(filter_input(INPUT_POST, 'rg'));
$clientesDao->ie = $conecta->real_escape_string(filter_input(INPUT_POST, 'ie'));
$clientesDao->sexo = $conecta->real_escape_string(filter_input(INPUT_POST, 'sexo'));
$clientesDao->email = $conecta->real_escape_string(filter_input(INPUT_POST, 'email'));
$clientesDao->est_civil = $conecta->real_escape_string(filter_input(INPUT_POST, 'estado_civil'));
if ($conecta->real_escape_string(filter_input(INPUT_POST, 'data_nasc')) != '')
    $clientesDao->data_nasc = implode('-', array_reverse(explode('/', $conecta->real_escape_string(filter_input(INPUT_POST, 'data_nasc')))));
else
    $clientesDao->data_nasc = null;
$clientesDao->telefone = $conecta->real_escape_string(filter_input(INPUT_POST, 'telefone'));
$clientesDao->celular = $conecta->real_escape_string(filter_input(INPUT_POST, 'celular'));
$clientesDao->fax = $conecta->real_escape_string(filter_input(INPUT_POST, 'fax'));
$clientesDao->endereco = $conecta->real_escape_string(filter_input(INPUT_POST, 'endereco'));
$clientesDao->bairro = $conecta->real_escape_string(filter_input(INPUT_POST, 'bairro'));
$clientesDao->num_end = $conecta->real_escape_string(filter_input(INPUT_POST, 'numero'));
$clientesDao->fk_id_cidade = $conecta->real_escape_string(filter_input(INPUT_POST, 'cidade'));
$clientesDao->complemento = $conecta->real_escape_string(filter_input(INPUT_POST, 'complemento'));
$clientesDao->senha = $conecta->real_escape_string(md5(filter_input(INPUT_POST, 'senha')));
$clientesDao->data_cadastro = date('Y-m-d H:i:s');
$clientesDao->data_alteracao = date('Y-m-d H:i:s');
$clientesDao->usuario_cadastrou = $_SESSION['id_usuario'];
$clientesDao->usuario_alterou = $_SESSION['id_usuario'];
if ($clientesDao->id == 0) {
    $lst_clientes = $clientesDao->getLista($conecta, "AND cpf = '$clientesDao->cpf'");
    if (!empty($lst_clientes)) {
        \Dao\Funcoes::displayMessage('Erro', 'Já Existe Um Cliente Cadastrado Com Este CPF/CNPJ!', 'clientes.php?p=cliente', 'red');
        $valid = false;
    }
}
if ($valid) {
    $res = json_decode($clientesDao->salvar($conecta));
    if ($res->data == 'Success')
        \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'clientes.php');
    else
        \Dao\Funcoes::displayMessage('Erro', $res->message, 'clientes.php', 'red');
}